VarSorter Struct Reference

`#include <VarSorter.h>`

## Public Member Functions

| VarSorter (const VarNames &names)
void | permute (vector< mpz_class > &term)
void | permute (Exponent *term)
void | permute (TermTranslator *translator)
void | getOrderedNames (VarNames &names)

## Private Attributes

vector< size_t > | _permutation
VarNames | _names
vector< mpz_class > | _bigTmpTerm
Term | _tmpTerm

## Detailed Description

Definition at line 27 of file VarSorter.h.

## Constructor & Destructor Documentation

## VarSorter()

VarSorter::VarSorter | ( | const VarNames & | names | ) |

Definition at line 40 of file VarSorter.cpp.

## Member Function Documentation

## getOrderedNames()

void VarSorter::getOrderedNames | ( | VarNames & | names | ) |

Definition at line 50 of file VarSorter.cpp.

## permute() [1/3]

void VarSorter::permute | ( | Exponent * | term | ) |

Definition at line 63 of file VarSorter.cpp.

## permute() [2/3]

void VarSorter::permute | ( | TermTranslator * | translator | ) |

Definition at line 69 of file VarSorter.cpp.

## permute() [3/3]

void VarSorter::permute | ( | vector< mpz_class > & | term | ) |

Definition at line 56 of file VarSorter.cpp.

## Member Data Documentation

## _bigTmpTerm

vector<mpz_class> VarSorter::_bigTmpTerm

private

Definition at line 44 of file VarSorter.h.

## _names

VarNames VarSorter::_names

private

Definition at line 43 of file VarSorter.h.

## _permutation

vector<size_t> VarSorter::_permutation

private

Definition at line 42 of file VarSorter.h.

## _tmpTerm

Term VarSorter::_tmpTerm

private

Definition at line 45 of file VarSorter.h.

The documentation for this struct was generated from the following files:

- src/VarSorter.h
- src/VarSorter.cpp